Ac3net.cutoff {Ac3net} | R Documentation

## Calculates a quick cutoff value from an adjacency matrix

### Description

`Ac3net.cutoff` A quick way to get a very rough estimate of the cutoff value for the significants of the input adjacency matrix

### Usage

    Ac3net.cutoff(mim, ratio_ = 0.002, PCmincutoff=0.6, PCmaxcutoff=0.96)

### Arguments

`mim` | An adjacency matrix, where the element at row i and column j corresponds to the correlation or mutual information between variables row i and column j. Row and columns of the matrix must have the variable names.
`ratio_` | The ratio of all the elements in the input adjacency matrix (even if the matrix is symmetric), which the user considers as significant portion.
`PCmincutoff` | The minimum absolute Pearson correlation value ( by default but can be different) where the below of is not considered as significant.
`PCmaxcutoff` | The maximum absolute Pearson correlation value ( by default but can be different) where all the above of is considered as significant.

### Details

`Ac3net.cutoff` takes an adjacency matrix, ratio and minimum absolute Pearson correlation information. Then return a cutoff value that either correspond to the input ratio or the minimum.

### Value

`Ac3net.cutoff` returns a scaler as a very rough estimate of the cutoff value for the significants of the input adjacency matrix.

### Author(s)

Gokmen Altay

### References

G. Altay,"Directed Conservative Causal Core Gene Networks", bioRxiv, 2018. G. Altay, F. Emmert-Streib, "Inferring the conservative causal core of gene regulatory networks", BMC Systems Biology (2010) 4:132.

### See Also

`Ac3net.maxmim`, `Ac3net.commonlinks`,

### Examples

     data(expdata)
     mim <- cor(t(expdata), method = 'pearson')
     cutoff <- Ac3net.cutoff(mim=mim, ratio_ = 0.002,
                  PCmincutoff=0.6, PCmaxcutoff=0.96)

[Package Ac3net version 1.2.2 Index]